org.apache.ignite.internal.visor.query

## Class VisorQueryField

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryField

All Implemented Interfaces:
  Serializable

    public class VisorQueryField
    extends Object
    implements Serializable

Data transfer object for query field type description.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryField(String schemaName, String typeName, String fieldName, String fieldTypeName)` Create data transfer object with given parameters.

### Method Summary

Methods
`String` `fieldName()`
`String` `fieldTypeName()`
`String` `fullName(boolean schema)`
`String` `schemaName()`
`String` `toString()`
`String` `typeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryField

    public VisorQueryField(String schemaName,
                   String typeName,
                   String fieldName,
                   String fieldTypeName)

Create data transfer object with given parameters.

Parameters:
  `schemaName` - Schema name.
  `typeName` - Type name.
  `fieldName` - Name.
  `fieldTypeName` - Type.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### typeName

    public String typeName()

Returns:
  Type name.

#### fieldName

    public String fieldName()

Returns:
  Field name.

#### fieldTypeName

    public String fieldTypeName()

Returns:
  Field type name.

#### fullName

    public String fullName(boolean schema)

Parameters:
  `schema` - If `true` then add schema name to full name.
Returns:
  Fully qualified field name with type name and schema name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015